GET api/CorporationSpotter/GetSpotterCaseReporting/{CorporationCode}?q={q}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| q | string |
Required |
|
| CorporationCode | string |
Required |
Body Parameters
None.
Response Information
Resource Description
AsapResponseOfListOfSpotterCaseReportingDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | Collection of SpotterCaseReportingDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": [
{
"CaseNo": 1,
"SpotterCaseNo": 2,
"SpotterEncounterIds": [
{
"EncounterId": 1,
"Message": "sample string 2"
},
{
"EncounterId": 1,
"Message": "sample string 2"
}
],
"Status": 3,
"Message": "sample string 4",
"isExpnad": true,
"CreatedDate": "2026-08-04T14:31:50.8157133-07:00",
"UpdatedDate": "2026-08-04T14:31:50.8157133-07:00"
},
{
"CaseNo": 1,
"SpotterCaseNo": 2,
"SpotterEncounterIds": [
{
"EncounterId": 1,
"Message": "sample string 2"
},
{
"EncounterId": 1,
"Message": "sample string 2"
}
],
"Status": 3,
"Message": "sample string 4",
"isExpnad": true,
"CreatedDate": "2026-08-04T14:31:50.8157133-07:00",
"UpdatedDate": "2026-08-04T14:31:50.8157133-07:00"
}
],
"totalCount": 3
}